Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging::PolicyValue_var Class Reference

`#include <Messaging_PolicyValueC.h>`

Collaboration diagram for Messaging::PolicyValue_var:

[legend]
List of all members.

## Public Methods
| PolicyValue_var (void)
| PolicyValue_var (PolicyValue *)
| PolicyValue_var (const PolicyValue_var &)
| ~PolicyValue_var (void)
PolicyValue_var & | operator= (PolicyValue *)
PolicyValue_var & | operator= (const PolicyValue_var &)
PolicyValue * | operator-> (void)
const PolicyValue * | operator-> (void) const
| operator const PolicyValue & () const
| operator PolicyValue & ()
| operator PolicyValue & () const
| operator PolicyValue *& ()
const PolicyValue & | in (void) const
PolicyValue & | inout (void)
PolicyValue *& | out (void)
PolicyValue * | _retn (void)
PolicyValue * | ptr (void) const
## Private Attributes
PolicyValue * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE Messaging::PolicyValue_var::PolicyValue_var | ( | void |  | ) |

ACE_INLINE Messaging::PolicyValue_var::PolicyValue_var | ( | PolicyValue * | p | ) |

Messaging::PolicyValue_var::PolicyValue_var | ( | const PolicyValue_var & |  | ) |

ACE_INLINE Messaging::PolicyValue_var::~PolicyValue_var | ( | void |  | ) |

## Member Function Documentation

PolicyValue* Messaging::PolicyValue_var::_retn | ( | void |  | ) |

const PolicyValue& Messaging::PolicyValue_var::in | ( | void |  | ) | const

PolicyValue& Messaging::PolicyValue_var::inout | ( | void |  | ) |

Messaging::PolicyValue_var::operator const PolicyValue & | ( |  | ) | const

Messaging::PolicyValue_var::operator PolicyValue & | ( |  | ) | const

Messaging::PolicyValue_var::operator PolicyValue & | ( |  | ) |

Messaging::PolicyValue_var::operator PolicyValue *& | ( |  | ) |

ACE_INLINE const ::Messaging::PolicyValue * Messaging::PolicyValue_var::operator-> | ( | void |  | ) | const

ACE_INLINE::Messaging::PolicyValue * Messaging::PolicyValue_var::operator-> | ( | void |  | ) |

PolicyValue_var& Messaging::PolicyValue_var::operator= | ( | const PolicyValue_var & |  | ) |

ACE_INLINE Messaging::PolicyValue_var & Messaging::PolicyValue_var::operator= | ( | PolicyValue * | p | ) |

PolicyValue*& Messaging::PolicyValue_var::out | ( | void |  | ) |

PolicyValue* Messaging::PolicyValue_var::ptr | ( | void |  | ) | const

## Member Data Documentation

PolicyValue* Messaging::PolicyValue_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Messaging_PolicyValueC.h
- Messaging_PolicyValueC.i